<div style="width:285px;text-align: center;display: inline; float:left">
    <div *ngFor="let item of game?.player?.npcTarget?.npcDefinition.tradeItems; let i = index" 
      (click)="selectItem(item)" (contextmenu)="contextMenuDisableX()" class="slot" 
      [ngStyle]="{cursor:'pointer'}" (mouseenter)="showDetail(item)" (mouseleave)="hideDetail()">
      <div class="slot__img" [ngStyle]="{background:getItemSprite(item)}"></div>
      <div class="slot__cost">$ {{item.cost}}</div>
    </div>
    <div style="margin-top:4px">
      <div class="gold-img" [ngStyle]="{background:getGoldSprite()}"></div>
      {{game?.player?.gold}}
    </div>
</div>
<div style="width:285px;text-align: center;display: inline; float:left">
  <div class="selected-item" *ngIf="selectedItem">
    <h2>{{getItemName(selectedItem)}}</h2>
    <div class="selected-item__img" [ngStyle]="{background:getItemSprite(selectedItem)}"></div>
    <div style="margin-top:30px">weight {{getItemWeight(selectedItem)}} kg <br>price ${{selectedItem.cost}} </div> 
  </div>
</div>